#!/bin/sh

# Building AbiWord requires that the JavaScript library be
# installed into abi/dist.  Only two files from there are
# needed:
#     js.h        the library's header file
#  libjs.a        the library itself
# 
# This script copies js.h into dist/PLATFORM/include and
# the library into dist/PLATFORM/lib.
# The Makefiles for AbiWord will expect to find them there.
#

OS_NAME=`uname -s | sed "s/\//-/"`
OS_RELEASE=`uname -r | sed "s/\//-/"`
OS_ARCH=`uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/ | sed "s/\//-/"`

# uname -s on CygWin returns "CYGWIN32_NT"
if [ $OS_NAME = "CYGWIN32_NT" ]; then
    OS_NAME=WIN32
fi
if [ $OS_NAME = "CYGWIN32_95" ]; then
    OS_NAME=WIN32
fi

# the following gyrations can be simplified once autoconf works on NT
if [ $OS_NAME = "WIN32" ]; then
    cp ../js/micros/jsconfig.w32 ../js/jsconfig.h
    cp ../js/micros/w32.c ../js/src/w32.c
    cp ../js/micros/w32.h ../js/src/w32.h
    cp ../js/micros/makefile.w32 ../js/src/makefile.w32

    cd ../js/src
    make -f makefile.w32 clean
    make -f makefile.w32
    r=$?
    cd ../../abi
else
    cd ../js
    CONFIGURE_HOST=`echo $OS_ARCH-$OS_NAME | awk '{print tolower($0)}'`
    echo ./configure --host=$CONFIGURE_HOST  && make
    ./configure --host=$CONFIGURE_HOST  && make
    r=$?
    cd ../abi
fi

exit $r
