
/*
	This is the core JavaScript support file for all
	automated test scripts.  Each test script must
	load this file before doing anything else.
*/

// ----------------------------------------------------------------

function tm_writeToLogFile(s)
{
	var logFileName = System.getenv("ABITEST_LOGFILE");
	
	if (logFileName == "")
	{
		logfile = new File(logFileName);
		logfile.open("a");
		logfile.writeln(s);
		logfile.flush();
		logfile.close();
	}
	else
	{
		print(s);
	}
}

// TODO log the time most everywhere in this file

function tm_TestFileState()
{
	this.scriptFileName = System.getenv("ABITEST_SCRIPTNAME");
}

function tm_Test(tfs, name)
{
	this.testFileState = tfs;
	this.name = name;
}

// ----------------------------------------------------------------
/*
	TM_beginScriptFile() must be called at the beginning of
	each test script execution.
*/
function TM_beginScriptFile()
{
	return new tm_TestFileState();
}

/*
	TM_beginTest() must be called at the beginning of each
	individual test.  Multiple tests per script are allowed.
*/
function TM_beginTest(tfs, name)
{
	return new tm_Test(tfs, name);
}

/*
	After each test is complete, TM_endTest() must be called.
	The test must specify the result (boolean) and a comment
	string, which may be used to explain why a test failed, for
	example.  An empty comment string is okay.
*/
function TM_endTest(test, result, comment)
{
	if (result)
	{
		resultString = "PASS";
	}
	else
	{
		resultString = "FAIL";
	}

	tm_writeToLogFile(resultString + "\t" + test.name + "\t" + test.testFileState.scriptFileName + "\t" + comment );
}

/*
	TM_endScriptFile() must be called at the end of each
	test script.
*/
function TM_endScriptFile(tfs)
{
	// TODO exit the application
}


